Webhooks
Update webhook
Updates webhook fields. All fields are optional — only provided fields are changed.
curl -X PATCH "https://api.sendkit.ai/v1/webhooks/example_string" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"url": "https://new-endpoint.example.com/webhooks"
}'
import requests
import json
url = "https://api.sendkit.ai/v1/webhooks/example_string"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"url": "https://new-endpoint.example.com/webhooks"
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/webhooks/example_string", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"url": "https://new-endpoint.example.com/webhooks"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"url": "https://new-endpoint.example.com/webhooks"
}`)
req, err := http.NewRequest("PATCH", "https://api.sendkit.ai/v1/webhooks/example_string", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/webhooks/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"url": "https://new-endpoint.example.com/webhooks"
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"_id": "664a1b2c3d4e5f6a7b8c9d0e",
"workspaceId": "ws_123",
"name": "CRM Sync",
"url": "https://new-endpoint.example.com/webhooks",
"events": [
"email.replied",
"email.positive_reply"
],
"secret": "a1b2c3d4e5f6...",
"retryAttempts": 3,
"timeoutMs": 10000,
"status": "active",
"createdBy": "user_123",
"createdAt": "2024-06-01T10:00:00.000Z",
"updatedAt": "2024-06-05T12:30:00.000Z"
}
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
PATCH
/v1/webhooks/{id}PATCH
API Key (header: X-Api-Key)
X-Api-Keystring
RequiredPlatform API key (sk_user_...) or Workspace API key (sk_...)
Platform API key (sk_user_...) or Workspace API key (sk_...)
path
idstring
RequiredResource ID
Content-Typestring
RequiredThe media type of the request body
Options: application/json
namestring
Webhook name (trimmed)
Min length: 1
urlstring
Endpoint URL
Format: uri
eventsarray
Events to subscribe to
secretstring
HMAC signing secret
statusstring
Enable or disable the webhook
Options: active, inactive
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-Api-Keystring
RequiredAPI Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
header
Authorizationstring
RequiredBearer token. API key as Bearer token
Path Parameters
idstring
RequiredResource ID
Body
application/json
namestring
Webhook name (trimmed)
urlstring
Endpoint URL
eventsarray
Events to subscribe to
secretstring
HMAC signing secret
Responses
successboolean
dataobject
Was this page helpful?
Last updated today
Built with Documentation.AI